# Maintainer: Tizen IoT PM
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

################################
### Preset for IoT Headed  ###
################################
%package root-Preset_img_headed
Summary:    IOT Headed Images
%ifarch %{arm} aarch64
Suggests:	%{name}-sub1-Preset_img_headed-common
%endif
%ifarch %{ix86} x86_64
Suggests:   %{name}-sub1-Preset_img_headed-emulator
%endif

%description root-Preset_img_headed
__EXPAND__: preset
The IoT Headed Images.
%files root-Preset_img_headed


%ifarch %{arm} aarch64
#############################
### IOT Headed COMMON ###
#############################
%package sub1-Preset_img_headed-common
Summary:    IOT Headed COMMON Image
Requires:   %{name}-root-Preset_iot_headed

### BSP ###
Requires:	%{name}-sub1-Preset_boards-COMMON
Requires:	%{name}-sub2-Preset_boards-COMMON-Audio
Requires:	%{name}-sub2-Preset_boards-COMMON-Audio_Recording
Requires:	%{name}-sub2-Preset_boards-COMMON-BLE
Requires:	%{name}-sub2-Preset_boards-COMMON-Bluetooth
Requires:	%{name}-sub2-Preset_boards-COMMON-Bluetooth_CallAudio
Requires:	%{name}-sub2-Preset_boards-COMMON-Camera
Requires:	%{name}-sub2-Preset_boards-COMMON-Codec
Requires:	%{name}-sub2-Preset_boards-COMMON-DALi
Requires:	%{name}-sub2-Preset_boards-COMMON-DALi2
Requires:	%{name}-sub2-Preset_boards-COMMON-Display
Requires:	%{name}-sub2-Preset_boards-COMMON-EFL
Requires:	%{name}-sub2-Preset_boards-COMMON-IM
Requires:	%{name}-sub2-Preset_boards-COMMON-Sensor
Requires:	%{name}-sub2-Preset_boards-COMMON-System
Requires:	%{name}-sub2-Preset_boards-COMMON-System_Device
Requires:	%{name}-sub2-Preset_boards-COMMON-WifiDirect
Requires:	alsa-utils
Requires:	gstreamer-utils
Requires:	pulseaudio-utils
Requires:	capi-media-player-utils
Requires:	bluetooth-frwk-plugin-headed
Requires:	bluetooth-share
Requires:	org.tizen.bt-syspopup
Requires:	org.tizen.bt-syspopup-profile_common
Requires:	capi-network-bluetooth-test
Requires:	libmm-display
Requires:	dali-toolkit-resources_720x1280
Requires:	dali2-toolkit-resources_720x1280
Requires:	download-fonts-service
Requires:	elementary-tools
Requires:	org.tizen.accessibility-setting-profile_common
Requires:	sensord-profile_common
#From TRE-2816
Requires:	deviced-plugin-profile-iot-headed

### FEATURE ###
Requires:	%{name}-sub1-domain_Feature-BootAni
%if %{dotnet_feature} == "on"
Requires:	%{name}-sub1-domain_Feature-DotNET
%endif
Requires:	%{name}-sub1-domain_Feature-Diagnostics
Requires:	dali-csharp-binder
Requires:	dali2-csharp-binder
Requires:	%{name}-sub1-domain_Feature-Starter
Requires:	%{name}-sub1-feature_App-IoT_Headed_Ref_image
Requires:	%{name}-sub1-domain_Feature-Upgrade
Requires:	%{name}-sub1-domain_Feature-Recovery
Requires:	%{name}-sub1-domain_Feature-WebAPI
Requires:	webapi-plugins-profile_mobile
Requires:	webapi-plugins-teec
Requires:	%{name}-sub1-domain_Feature-Setup
Requires:	%{name}-sub1-domain_Feature-Mode_Supervisor
Requires:	crash-worker
Requires:	glibc-locale
Requires:	memps
Requires:	psmisc
Requires:	tizen-debug
Requires:	tizen-locale
Requires:	%{name}-sub2-domain_API-Network-SoftAP
Requires:	%{name}-sub2-Preset_boards-COMMON-UserAwareness
#From TRE-2811
Requires:	nsjail
#From TRE-2817
Requires:	%{name}-sub1-domain_Feature-Esplusplayer

### PARTITION ###
Requires:	%{name}-sub1-Preset_partition-3parts_ramdisk_recovery

### Application ###
Requires:	org.tizen.setting-profile_common
Requires:	ug-bluetooth-efl
Requires:	wifi-efl-ug
Requires:	%{name}-sub2-domain_API-UI-FontConfig
Requires:	org.tizen.autofill-setting-mobile
Requires:	capi-ui-autofill-manager
Requires:	capi-ui-autofill
Requires:	capi-ui-autofill-common
Requires:	capi-ui-autofill-service
Requires:	autofill-config-mobile
Requires:	elm-sharp-theme-common
Requires:	system-servant
Requires:	system-servant-profile_common
Requires:	org.tizen.powerkey-syspopup.common
Requires:	org.tizen.system-syspopup.common
Requires:	org.tizen.system-signal-sender
Requires:	mtp-responder
Requires:	dummyasm
Requires:	dali-csharp-binder-profile_common
Requires:	dali2-csharp-binder-profile_common
Requires:	org.tizen.autofilld
Requires:	wrtjs
Requires:	inference-engine-opencv
Requires:	inference-engine-tflite
Requires:	askuser-notification
Requires:	%{name}-sub1-domain_Feature-Power_manager
Requires:	%{name}-sub2-Preset_boards-COMMON-Feedback
Requires:	security-config-profile_iot_headed
Requires:	org.tizen.wifi-direct-popup
Requires:	ug-setting-wifidirect-efl
Requires:	firmware-update-system-ui-common
Requires:	initrd-flash
Requires:	reboot-param-helper

### Sync with Mobile ###
Requires:	freealut
Requires:	vc-webview-js
Requires:	vc-webview
Requires:	e-mod-tizen-effect
Requires:	org.tizen.app-selector-profile_mobile
Requires:	lightweight-web-engine-profile_wearable
Requires:	opentk
Requires:	org.tizen.net-popup
Requires:	org.tizen.fido-syspopup
Requires:	fido-asm
Requires:	fido_bt_roaming_agent
Requires:	fido_silent
%if %{dotnet_feature} == "on"
Requires:	coreclr-diagnostics
%endif

### Will be removed ###
Conflicts:	%{name}-sub1-Preset_img_headless-common
Conflicts:	%{name}-sub1-Preset_img_headed-emulator

%description sub1-Preset_img_headed-common
The packages of Tizen IoT Headed for COMMON.
%files sub1-Preset_img_headed-common

%endif

%ifarch %{ix86} x86_64
###########################
### IOT Headed Emulator ###
###########################
%package sub1-Preset_img_headed-emulator
Summary:    IOT Headed Emulator Image
Requires:   %{name}-root-Preset_iot_headed
## BSP
Requires:	%{name}-sub1-Preset_boards-EMUL
### Multimedia
Requires:	%{name}-sub2-Preset_boards-EMUL-Audio
Requires:	%{name}-sub2-Preset_boards-EMUL-Audio_Recording
Requires:	alsa-utils
Requires:	gstreamer-utils
Requires:	pulseaudio-utils
Requires:	libmm-display
Requires:	%{name}-sub2-Preset_boards-EMUL-Camera
Requires:	%{name}-sub2-Preset_boards-EMUL-Codec
#From TRE-2253
Requires:    inference-engine-opencv
Requires:    inference-engine-tflite
Requires:	capi-media-player-utils
Requires:	libspeex
Requires:	GraphicsMagick-c++
#From TRE-2817
Requires:	%{name}-sub1-domain_Feature-Esplusplayer

### Network
Requires:	%{name}-sub2-Preset_boards-EMUL-BLE
Requires:	%{name}-sub2-Preset_boards-EMUL-Bluetooth
Requires:	%{name}-sub2-Preset_boards-EMUL-Bluetooth_CallAudio
Requires:	bluetooth-frwk-plugin-headed
Requires:	bluetooth-share
Requires:	org.tizen.bt-syspopup
Requires:	org.tizen.bt-syspopup-profile_common
Requires:	capi-network-bluetooth-test
Requires:	%{name}-sub2-Preset_boards-EMUL-WifiDirect
Requires:	ug-bluetooth-efl
Requires:	wifi-efl-ug
Requires:	%{name}-sub2-Preset_boards-EMUL-Telephony
Requires:	%{name}-sub2-domain_API-Messaging-Messages
Requires:	%{name}-sub2-Preset_boards-EMUL-NFC
Requires:	%{name}-sub1-domain_Feature-Mode_Supervisor
Requires:	tizen-default-modes
Requires:	stc-manager-plugin-appstatus
Requires:	stc-manager-plugin-exception
Requires:	stc-manager-plugin-monitor
Requires:	stc-manager-plugin-procfs
Requires:	call-manager
Requires:	libcurl-extension-dlp
Requires:	net-config-plugin-headed
Requires:	ug-bluetooth-efl-extension-emulator
Requires:	ug-setting-mobileap-efl
Requires:	capi-network-wifi

### UI_FW
Requires:	%{name}-sub2-Preset_boards-EMUL-DALi
Requires:	dali-toolkit-resources_720x1280
Requires:	%{name}-sub2-Preset_boards-EMUL-DALi2
Requires:	dali2-toolkit-resources_720x1280
Requires:	%{name}-sub2-Preset_boards-EMUL-Display
Requires:	%{name}-sub2-Preset_boards-EMUL-EFL
Requires:	download-fonts-service
Requires:	elementary-tools
Requires:	org.tizen.accessibility-setting-profile_common
Requires:	%{name}-sub2-domain_API-UI-FontConfig
#From TRE-2077
Requires:    elm-sharp-theme-common
#From TRE-1974
Requires:    dali-csharp-binder-profile_common
#From TRE-2449
Requires:    dali2-csharp-binder-profile_common
Requires:	thorvg
Requires:	ui-viewmgr
Requires:	vulkan-wsi-tizen
Requires:	SDL2_ttf

### UIX
Requires:	%{name}-sub2-Preset_boards-EMUL-IM
#From TRE-2064
Requires:	 org.tizen.autofill-setting-mobile
#From TRE-2067
Requires:	 capi-ui-autofill-manager
#From TRE-2069
Requires:    capi-ui-autofill
Requires:    capi-ui-autofill-common
Requires:    capi-ui-autofill-service
#From TRE-2072
Requires:    autofill-config-mobile
#From TRE-2076
Requires:    org.tizen.autofilld
Requires:	smartreply-service

### Service FW
Requires:	%{name}-sub2-Preset_boards-EMUL-Sensor
Requires:    dummyasm
Requires:	%{name}-sub2-Preset_boards-EMUL-GPS

### System
Requires:	%{name}-sub2-Preset_boards-EMUL-System
Requires:	%{name}-sub2-Preset_boards-EMUL-System_Device
#From TRE-2273
Requires:    system-servant
Requires:    system-servant-profile_common
#From TRE-2437
Requires:    org.tizen.powerkey-syspopup.common
Requires:    org.tizen.system-syspopup.common
Requires:    org.tizen.system-signal-sender
#From TRE-2816
Requires:	deviced-plugin-profile-iot-headed


## Partition
# Requires:	building-block-sub1-Preset_partition-3parts_ramdisk_recovery


## Feature
Requires:	%{name}-sub1-domain_Feature-BootAni

### C# Support
%if %{dotnet_feature} == "on"
Requires:	%{name}-sub1-domain_Feature-DotNET
%endif
Requires:	dali-csharp-binder
Requires:	dali2-csharp-binder
Requires:	opentk

Requires:	%{name}-sub1-domain_Feature-Starter
Requires:	%{name}-sub1-feature_App-IoT_Headed_Ref_image

### Web API
Requires:	%{name}-sub1-domain_Feature-WebAPI
Requires:	webapi-plugins-profile_mobile
Requires:	webapi-plugins-teec
Requires:	webapi-plugins-mobile-extension-emulator
#From TRE-2016
Requires:    wrtjs

#From TRE-2330
Requires:       %{name}-sub1-domain_Feature-Diagnostics

## building-blocks-sub1-domain_Feature-Tool_And_Locale
Requires:	memps
Requires:	psmisc
Requires:	tizen-debug
Requires:	tizen-locale
## Applications
## building-blocks-sub1-feature_App-IoT_Headed_Ref
Requires:	org.tizen.setting-profile_common
Requires:	org.tizen.bluetooth-share-ui


#From TRE-1861
# Requires:    mtp-responder
#From TRE-2277
Requires:    askuser-notification
#From TRE-2358
Requires:	%{name}-sub1-domain_Feature-Power_manager
#From TRE-2359
Requires:	%{name}-sub2-Preset_boards-EMUL-Power
#From TRE-2397
Requires:	%{name}-sub2-Preset_boards-EMUL-Feedback
#From TRE-2461
Requires:   security-config-profile_iot_headed
#From TRE-2481
Requires:    org.tizen.wifi-direct-popup
Requires:    ug-setting-wifidirect-efl

#Sync with Mobile
Requires:	freealut
Requires:	vc-webview-js
Requires:	vc-webview
Requires:	e-mod-tizen-effect
Requires:	org.tizen.app-selector-profile_mobile
Requires:	lightweight-web-engine-profile_mobile
Requires:	org.tizen.net-popup
Requires:	org.tizen.fido-syspopup
Requires:	fido-asm
Requires:	fido_bt_roaming_agent
Requires:	fido_silent
%if %{dotnet_feature} == "on"
Requires:	coreclr-diagnostics
%endif

### AppFW
Requires:	amd-mod-cooldown
Requires:	amd-mod-loader-manager
Requires:	app-defined-loader
Requires:	watch-holder
Requires:	watch-holder-base

### Security
Requires:	audit-trail
Requires:	cert-checker
Requires:	dpm-application
Requires:	dpm-auth
Requires:	dpm-bluetooth
Requires:	dpm-browser
Requires:	dpm-email
Requires:	dpm-location
Requires:	dpm-media
Requires:	dpm-security
Requires:	dpm-storage
Requires:	dpm-telephony
Requires:	dpm-usb
Requires:	dpm-wifi
Requires:	dpm-zone
Requires:	drm-service-core-tizen
Requires:	key-manager-pam-plugin
Requires:	keyutils
Requires:	libauth-fw-client-admin
Requires:	libcynara-monitor
Requires:	ode-dummy-ksp
Requires:	privilege-checker


#### gdb & etc
Requires:	gdb
Requires:	boost-date-time
Requires:	db4
Requires:	liblsan
Requires:	libpciaccess
Requires:	lrzsz
Requires:	python
Requires:	strace
Requires:	swap-manager
Requires:	swap-modules-emulator32
Requires:	swap-probe
Requires:	swap-probe-elf
Requires:	xz


### Not Support for emulator
# Requires:	building-blocks-sub1-domain_Feature-Setup
# Requires:	building-blocks-sub1-domain_Feature-Recovery
# Requires:	building-blocks-sub1-domain_Feature-Upgrade
#From TRE-2524
# Requires:    firmware-update-system-ui-common


Conflicts:	%{name}-sub1-Preset_img_headed-common
Conflicts:	%{name}-sub1-Preset_img_headless-common

%description sub1-Preset_img_headed-emulator
The packages of Tizen IoT Headed for Emulator.
%files sub1-Preset_img_headed-emulator
%endif
